#ifndef HELPER_H
#define HELPER_H
#include <sragent.h>
#include <iostream>
#include "clistatus.h"
#include "digitalOUT.h"
#include <srnetinterface.h>
#include <srnetbinhttp.h>

class Helper: public AbstractTimerFunctor, public AbstractMsgHandler
{
public:
        Helper(SrAgent &a, SrNetInterface &netInterface, SrNetBinHttp &netBinHttp);
      
        virtual ~Helper() {}

        void operator()(SrTimer &timer, SrAgent &agent);
	
	void operator()(SrRecord &r, SrAgent &agent);
	

private:
        SrTimer timer;
	SrNetInterface &netInterface;
	SrNetBinHttp &netBinHttp;
};

#endif /* HELPER_H */
